This article is for an older version of HandBrake. All versions.

Dieser Artikel ist für eine ältere Version von HandBrake. Alle Versionen.

Building HandBrake for Mac

Building HandBrake for Mac requires an Apple computer with a 64-bit Intel processor running OS X 10.10.5 Yosemite or later, and the following dependencies.

Additional dependencies (may be built via included script):

Install Xcode1 and open it once. Approve any prompts to install additional tools. You may quit Xcode after it has finished.

Install Command Line Tools for Xcode2.

xcode-select --install

Clone the HandBrake repository.

git clone https://github.com/HandBrake/HandBrake.git && cd HandBrake

List available tags in the HandBrake 1.0.x release series, and check out the most recent.

git tag --list | grep ^1\.0\.
git checkout refs/tags/$(git tag -l | grep -E '^1\.0\.[0-9]+$' | tail -n 1)

You may build and install the additional dependencies using the included script. Feel free to choose a different output path, if desired.

scripts/mac-toolchain-build /usr/local

This process will take a few minutes. If necessary, the script will provide you with instructions for adding the resulting binaries location to your environment’s PATH3. Do this now.

Build HandBrake. To build the command line interface only, disable the graphical interface by appending --disable-xcode.

./configure --launch-jobs=$(sysctl -n hw.ncpu) --launch

When complete, you will find HandBrakeCLI in the build/xroot directory. If the graphical interface is enabled, you will also find HandBrake.app in this directory.

Install HandBrake (optional).

sudo make --directory=build install

To start over, simply remove the build directory.

rm -rf build

  1. Make sure Xcode is installed at /Applications/Xcode.app. When using an Xcode Beta release, you may need to rename Xcode-beta.app to Xcode.app.

  2. When installing Command Line Tools for Xcode using the package installer (instead of xcode-select --install), make sure to install the package that corresponds to the installed Xcode version. A mismatch between the installed Xcode and Command Line Tools versions may cause problems.

  3. /usr/local/bin is included in the system’s PATH by default. It is not necessary to add it to your environment’s PATH when installing the additional dependencies to /usr/local.